%define version 1.009
%define release %mkrel 1
%define durl http://www.cpan.org/authors/id/A/AR/ARENSB
%define rname p5-Palm
%define name perl-%{rname}

Summary: Modules for reading manipulating, and writing .pdb and .prc database
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{durl}/%{rname}-%{version}.tar.bz2
License: GPL
Group: Development/Perl
Buildrequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.ooblick.com/software/coldsync/
Buildarch: noarch
Epoch: 1

%description
This is p5-Palm, a set of Perl 5 modules for reading, manipulating,
and writing the .pdb and .prc database files used by PalmOS devices
such as the PalmPilot and its successors.

%prep
%setup -q -n %{rname}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# Test are broken, ignoring result
make test || :

%install
%{__rm} -rf $RPM_BUILD_ROOT

%makeinstall_std

%{__rm} -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/*
%{perl_vendorlib}/*
%_mandir/man1/*
%_mandir/man3/*


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1:1.009-1mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 06 2007 Funda Wang <fundawang@mandriva.org> 1:1.009-1mdv2008.0
+ Revision: 59428
- New version 1.009

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.008-9mdv2008.0
+ Revision: 25191
- 1.008
- fix version: use archive one, use epoch to fix


* Tue Sep 27 2005 Olivier Thauvin <nanardon@mandriva.org> 1.3.0-8mdk
- rebuild

* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-7mdk
- rebuild

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.3.0-6mdk
- Use %%makeinstall_std now that it works on klama
- Remove PREFIX from Makefile.PL

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.3.0-5mdk
- Use %%make and %%makeinstall

* Fri Aug 01 2003 Ben Reser <ben@reser.org> 1.3.0-4mdk
- remove unused sitelib macro
- Fix man dir
- Macroification
- Fix perllocal path and use macros so it will build across perl releases.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.0-3mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-2mdk
- buildrequires

* Sun Feb 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0
- use perl macros for build

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-2mdk
- rebuild

* Thu Jan 10 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4-1mdk
- First release.

